import os
import pytest
import snippets
from io import StringIO
from eorg import tokens
from eorg.tokens import Token
from eorg.parser import parse
from eorg.parser import parse_text
from eorg.generate import html


def test_bullet_block():
    expected = """<ul class="browser-default"><li class="collection-item">Bullet 1</li><li class="collection-item">Bullet 2</li></ul>"""
    result = html(parse(snippets.bullet_plus_snippet).doc)
    assert result.read() == expected


def test_render_results():
    text = StringIO("""
#+RESULTS:
[[file:test.png]]
""")
    doc = parse(text).doc
    assert doc[0].token == tokens.BLANK
    assert doc[1].value == ''
    assert doc[1].token == tokens.RESULTS

    htmlbody = html(doc).read()
    assert htmlbody == '<img class="materialboxed center-align responsive-img" style="margin:auto;" src="file:test.png" alt="" />'
